Differential backup scripts using rsync and hardlinks.

This is a toolset to setup and run a backup server that pulls
differential daily, weekly and monthly backups from any number of
hosts and stores them on the local harddrive. For this, it uses rsync
and its mechanism to hardlink against already existing files, so only
new and changed files are copied over the network. This saves harddisk
space and network bandwidth, but you still have a full file system
hierarchy tree the same way it is represented on the host that has
been backuped. That makes it easy to restore. The only disadvantage of
this method is, that hardlinks on the host are not preserved (but
softlinks and anything else are).

For monitoring your backups, you can provide an email address to get
notification in case of error and there is an Icinga (Nagios) pluging
provided.